> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update PDF attributes including status

> Update PDF attributes including status




## OpenAPI

````yaml https://app.herondata.io/swagger put /api/integrations/pdfs/{heron_id}
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/integrations/pdfs/{heron_id}:
    put:
      tags:
        - EndUserIntegrations
      summary: Update PDF attributes including status
      description: |
        Update PDF attributes including status
      parameters:
        - description: heron_id of the pdf
          in: path
          name: heron_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PdfPutSchema'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  pdf:
                    $ref: '#/components/schemas/PdfGetSchema'
                  request_id:
                    description: Unique UUID per request
                    type: string
                type: object
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PdfPutSchema:
      properties:
        filename:
          description: The filename of the PDF
          example: my-favourite.pdf
          type: string
        fraud_reason:
          description: 'If fraud reason '
          nullable: true
          type: string
        is_fraud:
          description: True if fraud was detected in the PDF
          type: boolean
        notes:
          description: Notes associated with PDF, e.g., rejected reason, failed reason
          type: string
        reference_id:
          description: An optional field for your unique identifier for the PDF
          example: my-favourite-pdf
          maxLength: 140
          type: string
        status:
          description: Status of PDF
          enum:
            - new
            - parsing
            - parsed
            - processed
            - human_reviewing
            - approved
            - rejected
            - failed
            - transactions_loaded
            - transactions_unloaded
          example: processed
          type: string
      type: object
    PdfGetSchema:
      properties:
        account_id:
          description: Unique ID for account associated with PDF
          example: checking_account_202348
          type: string
        created:
          description: Timestamp when PDF was created in Heron system
          example: '2026-06-26T16:31:55.396008'
          format: date-time
          type: string
        currency:
          description: >-
            ISO 4217 currency code for transactions in account. We currently
            only support GBP and USD PDFs
          enum:
            - USD
            - GBP
          example: USD
          type: string
        data_source:
          allOf:
            - $ref: '#/components/schemas/DataSourceNested'
          description: >-
            The data source for this PDF. Only available after parsing and
            enrichment has completed, otherwise null.
          nullable: true
        end_user:
          $ref: '#/components/schemas/EndUser2'
        filename:
          description: The filename of the PDF
          example: my-favourite.pdf
          type: string
        heron_id:
          description: ID generated by Heron Data
          example: pdf_JEWnAWsE8MRxF4RGgeRh7T
          type: string
        is_image_based:
          description: >-
            True if the PDF was processed using image-based OCR. None if not yet
            processed
          nullable: true
          type: boolean
        last_updated:
          description: Timestamp when PDF was last updated in Heron system
          example: '2026-06-26T16:31:55.396044'
          format: date-time
          type: string
        notes:
          description: Notes for the PDF, e.g., failed reason
          example: failed to send to external OCR provider
          type: string
        parsing_version:
          description: Indicates which provider was used to parse this pdf
          type: string
        reference_id:
          description: An optional field for your unique identifier for the PDF
          example: my-favourite-pdf
          type: string
        statements:
          items:
            $ref: '#/components/schemas/PdfStatement'
          type: array
        status:
          description: Status of PDF
          enum:
            - new
            - parsing
            - parsed
            - processed
            - human_reviewing
            - approved
            - rejected
            - failed
            - transactions_loaded
            - transactions_unloaded
          example: processed
          type: string
      type: object
    DataSourceNested:
      properties:
        heron_id:
          description: Heron ID of the data source
          type: string
        is_enabled:
          description: Whether this data source is enabled
          type: boolean
      type: object
    EndUser2:
      properties:
        heron_id:
          description: Unique id for end user generated by Heron
          example: eus_Ry8dFoFoJ4YimpHJyppbQK
          readOnly: true
          type: string
      type: object
    PdfStatement:
      properties:
        data_source_account:
          allOf:
            - $ref: '#/components/schemas/DataSourceAccountNested'
          description: >-
            The data source account for this statement. Only available after
            parsing and enrichment has completed, otherwise null.
          nullable: true
        exclude:
          description: True if the statement should be excluded from processing
          type: boolean
        invalid_transaction_partials:
          items:
            $ref: '#/components/schemas/PdfPatchTransaction'
          type: array
        summary:
          $ref: '#/components/schemas/MoneyThumbStatementSummary'
        transaction_partials:
          items:
            $ref: '#/components/schemas/PdfTransaction'
          type: array
      type: object
    DataSourceAccountNested:
      properties:
        heron_id:
          description: Heron ID of the data source account
          type: string
        is_enabled:
          description: Whether this data source account is enabled
          type: boolean
      type: object
    PdfPatchTransaction:
      properties:
        amount:
          nullable: true
          type: number
        balance:
          nullable: true
          type: number
        bounds:
          allOf:
            - $ref: '#/components/schemas/MoneyThumbTransactionBounds'
          nullable: true
        currency:
          nullable: true
          type: string
        description:
          nullable: true
          type: string
        ocr_suspect:
          nullable: true
          type: boolean
        reference_id:
          nullable: true
          type: string
        timestamp:
          format: date-time
          nullable: true
          type: string
        transaction_code:
          nullable: true
          type: string
      type: object
    MoneyThumbStatementSummary:
      properties:
        account_number:
          type: string
        account_title:
          type: string
        bank_name:
          type: string
        company:
          type: string
        currency:
          type: string
        end_balance:
          type: number
        fraud_reasons:
          items:
            type: string
          type: array
        fraud_score:
          type: integer
        is_business_account:
          type: boolean
        is_ocr:
          type: boolean
        max_resolution:
          type: integer
        min_resolution:
          type: integer
        num_credits:
          type: integer
        num_debits:
          type: integer
        num_transactions:
          type: integer
        reconciled:
          type: boolean
        start_balance:
          type: number
        statement_end_date:
          format: date-time
          type: string
        statement_start_date:
          format: date-time
          type: string
        total_credits:
          type: number
        total_debits:
          type: number
        unreconciled_end_balance:
          type: number
        web_report:
          type: boolean
      required:
        - end_balance
        - num_credits
        - num_debits
        - num_transactions
        - reconciled
        - start_balance
        - total_credits
        - total_debits
      type: object
    PdfTransaction:
      properties:
        amount:
          type: number
        balance:
          type: number
        bounds:
          allOf:
            - $ref: '#/components/schemas/MoneyThumbTransactionBounds'
          nullable: true
        currency:
          nullable: true
          type: string
        description:
          type: string
        ocr_suspect:
          type: boolean
        reference_id:
          type: string
        timestamp:
          format: date-time
          type: string
        transaction_code:
          type: string
      required:
        - amount
        - description
        - timestamp
      type: object
    MoneyThumbTransactionBounds:
      properties:
        page:
          nullable: true
          type: integer
        x_max:
          nullable: true
          type: integer
        x_min:
          nullable: true
          type: integer
        y_max:
          nullable: true
          type: integer
        y_min:
          nullable: true
          type: integer
      required:
        - page
        - x_max
        - x_min
        - y_max
        - y_min
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````